<?php
$GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"] ?: array()) + array("_565d7be99a" . "cb0b7627e48" . "da068eebbd6" => base64_decode("cmVxdWlyZ" . "WQ="), "project_" . "id" => base64_decode("cHJvamV" . "jdF9pZA" . "=="), "_5a318eaa74da0cc2a06" . "bdb95289fe81b" => base64_decode("Q2hvb3NlIHRoZSBzb3VyY2UgcHJ" . "vamVjdA=="), "_ec438e08973b3716" . "c60e393f66ef5e7b" => base64_decode("Q2hvb3NlIHRoZSBzb3VyY2UgSU" . "MgcHJvamVjdA=="));





class HDReportWizardProject extends ReportWizardPage
{
    var $projects;
    
    
    
    
    
    function buildForm()
    {
        $values = array();
        $_4cfe17fc2516abcf039dd2848579d320 = new HDProjectsList();
        $_4cfe17fc2516abcf039dd2848579d320->setPermsChecking(HD_PERM_REPORTS);
        $_68680c984182bf7876b2bb0ab77ebe01 = $_4cfe17fc2516abcf039dd2848579d320->getList();
        foreach ($_68680c984182bf7876b2bb0ab77ebe01 as $project) {
            $values[$project->GetId()] = $project->GetName();
        }
        $this->projects = $values;
        $this->addElement(PAGE_ELEMENT_SELECT, $GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["project_" . "id"], $GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_5a318eaa74da0" . "cc2a06bdb95289" . "fe81b"], $values);
        $this->addRule($GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["proje" . "ct_id"], $GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_ec438e08973b3716c60e393f66e" . "f5e7b"], $GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_565d7be99" . "acb0b7627e" . "48da068eeb" . "bd6"]);
        $this->_formBuilt = true;
    }
}